Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 95849 - (lackofsex) Lack of Sex is interfering with my ability to triage bugs
: Lack of Sex is interfering with my ability to triage bugs
[NEEDMORE-XXX], possible [SYNTAX-SML]...
: helpwanted, highrisk, polish
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: All All
: -- major
: ---
Assigned To: english-us
: Keyser Sose
: 153617 (view as bug list)
Depends on: 60455 125287 360323
  Show dependency treegraph
Reported: 2001-08-17 14:53 PDT by Keyser Sose
Modified: 2015-04-19 23:39 PDT (History)
77 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Possible solution - reporter, will this do? (28.79 KB, image/jpeg)
2001-08-18 06:11 PDT, Alex Bishop
no flags Details

Description Keyser Sose 2001-08-17 14:53:22 PDT
Due to lack of sex I have been unable to concentrate as much on triaging bugs
since i often get distracted. This creates a large problem for Mozilla since
often times I am the one that keeps the Unconfirmed bugs under control. Without
being able to concentrate more often the Unconfirms often increase until they
are out of control.

Reproducibility: Often

Expected Results: Get laid.

Current Results: Not getting laid

I hope someone in the Mozilla community can help me out with this problem so we
can all benefit from an undistracted mind. :)
Comment 1 Grey Hodge (jX) 2001-08-17 14:56:58 PDT
Agreed. His lack of naked-time with other people is havinf a detrimental effect
on his tiny little mind.
Comment 2 Håkan Waara 2001-08-17 14:59:33 PDT
CCing others who probably can reproduce this.

Reporter, can we get a minimal testcase?
Comment 3 Doron Rosenberg (IBM) 2001-08-17 15:00:39 PDT
setting status whiteboard

ksosez: what sort of partner do you need and of what species?
Comment 4 Keyser Sose 2001-08-17 15:06:14 PDT
Preferiably Homosapian and Female :)
Comment 5 Chase Tingley 2001-08-17 15:07:43 PDT
Comment 6 Grey Hodge (jX) 2001-08-17 15:18:33 PDT
Last time I tried to add a female homosapien into the Mozilla source, everything
got rearranged and I couldn't find anything. When I finally got it all
straightened out and tried to compile, it it consistently failed but with no
apparent problem, eventually leading to a major crash.

Suggesting that another solution be found. Have you ever thought about getting a
Comment 7 Oliver Klee 2001-08-17 16:22:16 PDT
Attending a good seminar for a weekend or so may help. Seminars are full of
interesting young people, and sharing 3 days and 2 nights together may result in
new (and close!) friends.

I wouldn't exactly recommend seminars on computer-related topics, though. I have
better experiences with political topics or seminars on relaxative massage.
Comment 8 Alex Bishop 2001-08-17 19:13:11 PDT
> Suggesting that another solution be found. Have you ever thought about getting 
> a "pet"?

No, I don't think bestiality is the solution.

I've had this problem since at least M13. Adding helpwanted keyword.

Reporter, is it possible that this is related to a performance issue with yourself?
Comment 9 robert 2001-08-17 20:10:06 PDT
not affiliated with this site in any way, shape or form but you should look on for a wife, or two..  Just add them to your shopping cart
Comment 10 Myk Melez [:myk] [@mykmelez] 2001-08-17 20:59:06 PDT
Reversing database corruption caused by bug 95857 and bug 95798.  Pay no
attention to the man behind the curtain.
Comment 11 Matthew Paul Thomas 2001-08-18 05:43:21 PDT
Worksforme, build 1978061022, on a virgin installation of mptOS 2.2.3. I'm not
seeing lack of sex causing any of the problems described here.

So maybe this bug is architecture-specific? A little-endian problem, perhaps?
Comment 12 Alex Bishop 2001-08-18 06:11:20 PDT
Created attachment 46334 [details]
Possible solution - reporter, will this do?
Comment 13 Brian Rogers 2001-08-19 16:45:04 PDT
I think the following keywords apply:
1. access
2. dataloss
3. flash
4. hang
5. interop
6. mostfreq
7. perf
8. polish (don't ask!)
9. privacy (see #8)10. quicktime
11. softui
12. stackwanted
Comment 14 Brian Rogers 2001-08-20 16:25:08 PDT
A note to anyone working on this bug: Do not bother trying to reproduce this
bug.  Due to it's unique nature, reproduction is impossible.
Comment 15 Syd Logan 2001-08-22 19:44:03 PDT
Marking invalid. Look at all the productivity we've gotten out of XPToolkit team 
the past two years, and we *know* they ain't gettin' none. Must be something 
else wrong with Asa.
Comment 16 Keyser Sose 2001-08-22 21:09:53 PDT
I tend to disagree the fact that XPToolkit people being able to do so much work
without getting any has no barring on the current bug :)

Lack of sex has been scientifically proven to hinder bug triage while the
research on programming shows lack of sex makes you a productive programmer ;)

In addition I see this bug being dependent on  bug 60455 since once 60455
happens i see this getting solved as well :)
Comment 17 Keyser Sose 2001-08-22 21:10:12 PDT
I tend to disagree the fact that XPToolkit people being able to do so much work
without getting any has no barring on the current bug :)

Lack of sex has been scientifically proven to hinder bug triage while the
research on programming shows lack of sex makes you a productive programmer ;)

In addition I see this bug being dependent on  bug 60455 since once 60455
happens i see this getting solved as well :)
Comment 18 Keyser Sose 2001-08-22 21:10:52 PDT
Changing Dependency
Comment 19 Zach Lipton [:zach] 2001-08-22 21:28:41 PDT
This is most clearly an evangelism issue, we need to evangelize people 
to have sex with you. Possible [SYNTAX-SML] (sex markup language) 
issue as the backend may have tons of sex events lined up, but is being 
called with the improper constructor from the front end.
Comment 20 Katsuhiko Momoi 2001-08-29 16:58:06 PDT
Neither Asa nor doron is the correct assignee for this bug. Please
correct the errors.
Comment 21 Alex Bishop 2001-08-29 17:15:58 PDT
Ah, yes. This bug needs to be reassigned to the default owner and QA of the Sex
component of the Relationships product.

I think someone's missing the joke here.

Reassigning to the default owner and QA of Tech Evangelism/US English, since
that's where this bug seems to have ended up.
Comment 22 Bob Clary [:bc:] 2001-08-29 17:21:54 PDT
well, i got no problems of this type -> works for me
Comment 23 Robert Kaiser 2001-09-04 11:52:57 PDT
I can still reproduce this, and I've seen this at least since M5 (actually, it
seems this has occurred some months earlier) - and I didn't come around to do
much triaging in the meantime.
This also distracts me from my L10n work sometimes.
The proposed patch seems to have no positive effect on me either.
Comment 24 Bob Clary [:bc:] 2001-09-04 12:25:13 PDT
ok. one last time:

steps to fix this problem.

// for you parents
while (age < 18years)

gf = getGirlFriend();

if (!gf.isLoose())


Comment 25 Bob Clary [:bc:] 2001-09-04 12:26:02 PDT
Comment 26 Matthew Tuck [:CodeMachine] 2001-09-04 15:36:39 PDT
I think the complaint here is that getGirlFriend tends to deadlock because all
of the available resources have write locks.
Comment 27 Keyser Sose 2001-09-04 17:07:30 PDT
Reopening and moving because its still a bug (but reassigning as to not bug bc) :)
Comment 28 Keyser Sose 2001-09-04 17:08:37 PDT
Comment 29 Jacob Steenhagen 2001-09-04 18:49:42 PDT
Hmm... so has this problem??  I think I need to get a job ;)

Also, Tech Evangelism doesn't have any attachment status set up, otherwise I'd
flag attachment 46334 [details] as "needs-work".
Comment 30 majick 2001-09-04 19:48:19 PDT
getGirlFriend() returns null or blocks when called and no GirlFriend object is
allocated.  I wasn't able to find the proper source file, but judging from
the behavior I suspect it's either buggy or an uncompleted stub.

In light of the current situation, I suspect the latter.
Might I suggest a preventative mostfreq, because this could get out of hand
so rapidly among the user and developer community?
Comment 31 Alex Bishop 2001-09-06 13:15:13 PDT
It seems there's a tracking bug for bugs like this. Bug 59921 to be precise. And
there you'll find a comment from Emlyn Shannon, who says that all of us have "no
life <em>whatsoever</em>."
Comment 32 Jonas Sicking (:sicking) No longer reading bugmail consistently 2001-10-20 18:20:16 PDT
ccing self, if somebody comes up with a solution for this I want to know...

I've tried the |make love| and |wget girlfriend| to no success
Comment 33 Sitsofe Wheeler 2001-12-07 15:20:38 PST
Maybe the problem is due to removal of layers between Netscape 4 and Mozilla?
Comment 34 Robert Kaiser 2001-12-09 09:36:59 PST
hmm, I was able to remove the cause but not the symptom here on my box. After I
could resolve the build bustage and now have a recent build of the "GirlFriend"
project, my ability to triage or resolve bugs decreased again instead of
increasing. Either this is not the right solution or I have to tweak build
options a bit...
Comment 35 Oliver Klee 2001-12-09 09:54:10 PST
You can try to move you build to Mozilla so that she files bugs herself. That
may compensate for you doing less triaging.
Comment 36 Jason Chambers 2001-12-10 08:39:12 PST
I thought sex was basic arithmatic

void havesex() {
         sex = ((((boy + girl) - clothing) / her legs) * # of stroke to ***)
Comment 37 Jason Chambers 2001-12-10 20:54:05 PST
request addition of keyword (whiteboard): girlwanted, sexwante. This bug
possibly depends on bug 100309 for resolution.
Comment 38 Hixie (not reading bugmail) 2001-12-31 22:18:57 PST
I tried this on a debug build and I got an assertion in getGirlFriend() --
apparently "all applicable resources are already allocated". Anyone have any
idea how to get around this?
Comment 39 Brian 'netdragon' Bober 2002-01-01 06:27:08 PST
Hixie: I immediately replaced all references to getGirlFriend with
emulateGirfriend(this.hand), and although it might be the optimal solution, it
gets rid of the assertion. I recommend to be careful of what you pass to the
emulateGirlfriend function.
Comment 40 Matthew Tuck [:CodeMachine] 2002-01-12 19:52:59 PST
I think we need to avoid hacky workarounds.  I did some profiling and there seem
to be way too many calls to makeLesbian.  As we all know, this is using up
resources.  =)
Comment 41 (gone - use instead) 2002-01-20 17:36:16 PST
[W] MLK: Memory leak of 69 bytes from 1 block allocated in 
        Distribution of leaked blocks
        Allocation location
            new(UINT)      [mshuman.DLL]
            nsCreateGirlfriends [nsGirfriends.cpp:60]
                // Generic constructors
             => NS_FEMALE_CONSTRUCTOR(nsFemale) // create a female instance
                NS_MALE_CONSTRUCTOR(nsMale) // create a male instance
            nsConvert::YoungFemaleToTeen(nsAge, Class, Morals, SelfConfidence )
[nsConvertToTeenager.cpp:3321]             // taking these parameters, we shape
the girl's personality and availability
                    nsresult rv = NS_MakeAvailable(nsAge, Class, Morals,
                    if (NS_FAILED(rv)) return rv; // check the result from above
for availability
             =>     return cm->AvailabilityManager(nsAge, Class, Morals,
There could be a couple of problems here. 
1.  You may need to define a #needsGirlfriend system environment variable to
satisfy that
#ifdef / #endif wrapped around the nsCreateGirlfriends call.  
2.  The NS_FEMALE_CONSTRUCTOR takes an nsFemale parameter, but I don't see
nsFemale ever getting init'd.
3.  You could be passing the wrong values into the global
nsConvert::YoungFemaleToTeen() method.  Try decreasing morals
or decreasing self-confidence (don't touch age, that might get you in trouble
with the law/parents).
4.  If the constructor for and nsFemale succeeds, perhaps NS_MakeAvailable()
isn't doing its job.  I know in the Bay area,
there is a severe shortage of available, attractive females.
5.  You could also be passing only 3 parameters to NS_MakeAvailable, at which
point this function fails, because it's
looking for the SelfConfidence parameter (an important metric for availability).
Comment 42 Niels Aufbau 2002-01-24 21:45:38 PST
Keyser, you're always welcome to join the dark side, even if Mr. Nobody does fix
this bug.  No, not that dark side, megaconglomerates scare me.  I mean
Comment 43 Daniel Glazman (:glazou) 2002-02-06 03:20:51 PST
forgot to link with apparently
Comment 44 Peter Wilson 2002-02-06 09:27:00 PST changed:

           What    |Removed                     |Added
  Status Whiteboard|                            |[native]
   Target Milestone|---                         |future
Comment 45 Jason Chambers 2002-02-13 09:21:31 PST
I'm starting to wonder if it is just the reporters problem with the inability to
have sex. In which case ACCESS and HANG needs to placed in keywords. A possible
solution to this is viagra, because we all could use some more "uptime." If this
is not the case, then I suggest PRIVACY should be added, and possibly REGRESSION
if this is not the first case. Hopefully we can get this fixed before mozilla1.0
Comment 46 Dan 2002-02-13 11:08:16 PST
Code review of #24: age should not be hard-coded at 18, it's locale dependent.
There is also no test for gf.age.

Has the reporter considered saving all his work, shutting down the computer, and
leaving the house?
Comment 47 Jason Chambers 2002-02-13 15:09:39 PST
why should he when he can buy a nice sex box from (temporarily down)
Comment 48 Daniel Glazman (:glazou) 2002-02-14 00:00:16 PST
Is there any accessibility issue behind this bug ?
Comment 49 Jason Chambers 2002-02-14 06:55:37 PST
Possible small/deflated penii could be an accessibility problem
Comment 50 Jacek Piskozub 2002-02-15 04:26:35 PST
Adding "polish" keyword per comment #13. 

I wonder if that makes the bug belong to Europe:Central tech evangelism. If so,
I should accept the bug as the default owner for that component.
Comment 51 Brian 'netdragon' Bober 2002-02-18 04:42:02 PST
The code is incorrect (in comment #24):

while (age < 18years)

nor do I agree with hardcoding ages based on locale.

This is assuming everyone using the code is over the age of consent. Otherwise,
you expect someone under the age of consent to care about the age of consent?
Personally, I go for just a warning dialog box that asks them to confirm.

Also, what if they turn to the age of consent in 1 month? Then sleep 1 year
would be too long.

What happens if gf.age is unresolvable? For instance, some women go to bars with
fake ids. (i.e. - a 17 year old that looks 21 using a fake id). What if there is
no way to determine her age and she lies about it?

Basically, what I am saying is gf.age depends on knowing the age which isn't
always the case. Maybe there should be a gf.age (which could be NULL) and a
Comment 52 Dan 2002-02-19 02:34:35 PST
I recommend re-designing the code using threading to allow the reporter to get
on with other things in his life while he waits for the big moment. If he has a
girlfriend but needs to sleep for a year in order to have sex, he certainly
won't have a girlfriend when he wakes up.
Comment 53 Vadim Berezniker 2002-03-31 18:14:01 PST
err. bugs like this are fun but I don't think a 13 year old makes a kosher QA
contact. :-/
Comment 54 Keyser Sose 2002-03-31 18:16:26 PST
Moving to nobody..since really I am not getting any so Nobody is helping either
:) Sorry for the spam.
Comment 55 rossi 2002-04-17 10:34:25 PDT
if someone finds a fix for this, i know a lot of people who would be willing to
test it...
Comment 56 Anthony DeRobertis 2002-04-20 15:37:11 PDT
I've heard rumours that there is a substance known as "alcohol" that may be of

Possibly the reporter could try some, possibly with the possible solution
attachement, and report back?
Comment 57 Anders Åge Larsen 2002-04-22 00:28:14 PDT

I'll hate to tell ya folks, but I'm still able too find unresponded unco 
reports from as way back as Moz 0.96. Is there nothing we can do about this 
bug? Someone should set this bug from "Major" to "Critical"...
Comment 58 Keyser Sose 2002-04-22 22:39:44 PDT
Well set back on this bug:

I was driving home today on the freeway when the car in front of me flipped up a
tire tread and it slammed into my car at 75 mph. I didnt have much time except
to hold on but the front of my car has a large dent in it and one of the
radiator fans is missing (thats all i could see tonight since it was dark).

Since I cant afford to fix it  there goes another notch on the pimp scale. And I
was having such a good day too *sigh* 
Comment 59 James Cox 2002-04-23 01:01:01 PDT
given that i'm not getting any, i'm tempted to mark this wontfix.
Comment 60 Brian 'netdragon' Bober 2002-04-26 02:58:49 PDT
<twisted logic/>Ksosez: If you have insurance, then just slam your car into a
brick wall. Then, it will be worth the deductible because the damages will be
much greater than the deductible. You might even get a new car.</twisted logic>
Comment 61 Ben Bucksch (:BenB) 2002-05-13 23:39:20 PDT
Ksosez told me on IRC:
<Ksosez> just make sure no one pays you to fix 95849

> I was driving home today on the freeway when the car in front of me flipped up a
> tire tread and it slammed into my car at 75 mph.

you obviously don't know how to arrange these things. You should have stopped
the other car. surely, it would have been a woman. if she's nice...
But avoid stunts when trying to stop her. You'd probably end up in a wall, and
that's not cool at all.
Comment 62 Croco Dil 2002-05-25 10:56:20 PDT
I 've seen this problem recently but maybe theres help outside there somewhere :-)) 
Comment 63 Andy Lyttle 2002-05-26 15:07:02 PDT
Any women experiencing this problem?
Comment 64 Vincent 2002-06-07 05:47:36 PDT
I found the solution:

GetGirlFriend (#24) is not buggy, but needs a parameter "secret
interaction-code" (24 bit integer). A lot of codes work, but doesn't always
result in an instace that's compatible with havesex(). And some instances only
can be activated when GetMarried is called and after that it can be only used
once a half year. Reverse engineering hasn't worked for me. It's much too
complex and large. So I suggest brute force hacking. Use threading! (see #52)

I'll try it myself this weekend.

PS: Brute force hacking is something else then hardcode:

gf.Purpose = sex;
gf.ThinkForHerself = False;
gf.AutoLay = True;
gf.PeriodLenght = 0;
gf.Type = teenager;
... and all the other wicked things in your mind.
Comment 65 Daniel Glazman (:glazou) 2002-06-16 20:25:15 PDT
Hmmmm. Just wondering if this bug is not a regression ;-)
Comment 66 Adrian Ulrich 2002-06-22 13:46:17 PDT
*** Bug 153617 has been marked as a duplicate of this bug. ***
Comment 67 Keyser Sose 2002-08-23 00:52:51 PDT
Woot cant even talk to women....I am a real  winner...girls snatch  me  up while
you can...I am going to bed...I hope you all have a Significant Other  to go
home to...Night
Comment 68 Bob Clary [:bc:] 2002-12-09 11:56:18 PST
Comment 69 snebeling 2002-12-22 00:44:55 PST
Not invalid. However, this might turn out to be a duplicate of bug 51683,
"Unable to have 2 differently named girlfriends in the same bed".
Comment 70 Keyser Sose 2002-12-27 00:14:01 PST
Not sure how this got closed..still a problem reopening.
Comment 71 Brian 'netdragon' Bober 2002-12-29 16:58:00 PST
Assigning to jesus_X because women told me they think he's a stud. If anyone can
solve this, he can. Dmose would be the best candidate, but he's too busy to take
this at the moment.

Making Ksosez the QA cause he reopened it.

I don't know exactly what we need to do to get this resolved. I know its an
issue, but it doesn't seem to be something easy to fix. I think the best
recourse would be for someone to talk to Todd Stanton, a Linux Developer who got

I think a solution might be renaming "xpfe/bootstrap" to "xpfe/brastrap", but I
have heard other developers say that would not be a viable solution.
Comment 72 Ryan Farmer 2003-01-12 11:35:06 PST
Bug seems to be showing up sporadically, there and gone, I had this problem with M14-0.8, then as soon as I thought you guys fixed it, it's starting to creep back into 1.1 and later, getting worse with every nightly.

Suggest we route all of our resources to pinning down this bug once and for all, ASA, you should be able to do something, right?
Comment 73 Andy Lyttle 2003-01-12 12:26:29 PST
By "pinning down" do you mean "tying up"?  That's sort of kinky...
Comment 74 Robert Kaiser 2003-01-12 16:00:51 PST
Yeah, this must have regressed somewhere in the 1.1 cycle. I believe it still
worked when 1.1 beta was released. It completely broke somewhere between 1.2
beta and 1.2 final. Could someone provide me builds dating in those periods,
esp. around the 1.1 freeze (before 1.1 was branched), and between 1.2 beta
release and 1.2 freeze? I think I might find the issues that caused the
regression there, perhaps, I'd even be able to fix it...
Comment 75 Alex Hosking 2003-01-13 10:39:46 PST
I almost saw this fixed in some of the nightlies between Cristmas and new year
but not quite
Comment 76 Brian 'netdragon' Bober 2003-01-20 14:44:29 PST
Not quite, because goats don't count.
Comment 77 Anders Åge Larsen 2003-02-12 09:19:39 PST
I'm afraid the reason for this bug has been found. Look carefully in 192946, it
seems like we now has a reason. What we only need now is a solution so we can
Comment 78 Brian 'netdragon' Bober 2003-03-31 20:26:14 PST
They are getting it on in Italy. There must be some developers in on the 
action ;-)

Parking Lots of Love
Mar 31, 10:37 am ET 

ROME (Reuters) - All roads are supposed to lead to Rome, but amorous young 
Italians anxious to escape mamma's beady eye might be tempted to take a detour 
to the country's first "Love Car Park."
The Tuscan town of Vinci, more commonly known for its Renaissance artist son 
Leonardo, is renovating a car park complete with soft lighting and special 
trash bins for condoms.

"We're just recognizing that young people love each other," Mayor Giancarlo 
Faenzi told Reuters by telephone on Monday.

"If you don't face that fact, you're simply closing your eyes to reality and 
you just end up sending them a kilometer (half a mile) down the road," he 
said, adding that the town was still deciding whether to install a condom 

The back seat often acts as a substitute bed for those Italians who live with 
their parents well into their 30s.

Even Prime Minister Silvio Berlusconi famously reminisced last year about 
how "many of us first kissed our girl in a Fiat 500."

Italians talk of a "Car-ma Sutra," illustrating positions best suited to 
specific car models, though no one can ever remember the name of the book.

Car sex is not illegal in strongly Catholic Italy -- as long as the windows 
are covered up.

But woe betide anyone who is spotted in flagrante, whatever their age.

Last month an 85-year-old man and his 74-year-old lady friend were caught 
having sex in a car park next to a school and were given a two-month suspended 

I provided the text cause I don't know how long this link will be good:|oddlyenough|03-31-

Comment 79 Bob Clary [:bc:] 2003-05-10 06:43:25 PDT
This is fun and all but -> invalid.
Comment 80 Keyser Sose 2003-07-28 15:35:18 PDT
Marking Fixed (whoohoo)
Comment 81 Keyser Sose 2003-07-28 15:36:55 PDT
Marking Fixed..after 3 years
Comment 82 Grey Hodge (jX) 2003-07-28 15:41:37 PDT
I'm sorry, we need some verification on this one...
Comment 83 Brian 'netdragon' Bober 2003-07-28 15:46:30 PDT
Comment 84 Jo Hermans 2003-11-04 13:52:31 PST
According to my wife, I have the opposite problem. Too much bug triaging
prevents any chance for sex. Should I file a new bug ? (and yes, that's a
recursion !)
Comment 85 Croco Dil 2003-11-04 14:31:07 PST
I see the same problem for several builds now.

Reopening this Bug might do. Maybe we can solve both in one!
Comment 86 Brian 'netdragon' Bober 2003-11-04 19:03:28 PST
Congratulations, you have found the longest running gag bug on (save the $50 Hyatt -> Bengoodger joke).

comment #84: I know triaging bugs can be exciting, but it shouldn't be so
sexually stimulating that you don't have any sexual energy left over for your
wife. ;-)

Regardless, there are excercises that you can do to improve your endurance so
you have a little left over for her. 

Of course, she could just sit on your lap while you triage and if I were her,
I'd probably have done that by now to divert your attention.


(I find the little anectdotes too funny to remove my name from CC list)
Comment 87 Jo Hermans 2005-04-14 01:55:06 PDT

Damn it. There goes our last reason why we're still working on this project :-)
Comment 88 Sean Sosik-Hamor 2005-04-14 08:30:54 PDT
(In reply to comment #87)
> Damn it. There goes our last reason why we're still working on this project :-)

You have it all wrong! Since more men have downloaded (and presumably installed)
Firefox than women that means there are plenty of women for us men to "upgrade".

"Hey baby, want me to insert my Firefox into your box?" ;)
Comment 89 Jason Chambers 2005-04-14 14:42:14 PDT
That is based on the assumption that Women don't reject us first.

"Installation Failed, please try again!"
Comment 90 Sean Sosik-Hamor 2005-04-14 16:09:52 PDT
(In reply to comment #89)
> "Installation Failed, please try again!"

Don't you mean "403 Forbidden"?
Comment 91 Andy Lyttle 2005-04-14 23:42:32 PDT
or "402 Payment Required"?
Comment 92 Jason Chambers 2005-04-15 03:26:48 PDT
Most of my attempts to get a girl usually results in Error 410 GONE. But if we
want to play this game as well, there could be:

400  	Bad Request (Slap)
405  	Method Not Allowed ("I'm saving myself to get married")
406  	Not Acceptable (Not on a first date at least)
411  	Length Required (And they say size don't matter! pff!)
413  	Request Entity Too Large (Or we could be too large)
415  	Unsupported Media Type (Can't forget the Gay buffs)
Comment 93 Alon Altman 2005-04-15 07:34:32 PDT
What about:
301 Moved Permanently
303 See Other
304 Not Modified (and you won't either)
305 Use Proxy (ask your friend)
Comment 94 Vincent 2005-06-03 13:50:17 PDT
Many studies have proven that minimizing stress is good for a healthy sex-life.
The issue brought to attention here is very peculiar. Why would something that
loweres the stress-level have en negative result on sex-life?

If we look deeper into the problem we see that not the actual repairing of
programming-code nor the lack of sex is the reason for this continuous problem.
We see actually that the persons forgets one is married and has problems not
having a hold on the situation. For too many hours in the evening one is not
having a free time, but paying attention to a hobby which has grown from a
weekly relief to a responsiblity. The result is a lowered
marriage-advantage-frequency, which in result will have more stress and will
keep the attention of his daily life (including the hobby, being bug-triaging).

So if you still follow me, you agree that when this bug happens, you should stop
bug triaging immediately to recover from this mental state which docters believe
will possibly result in death or at least a divorce. We should keep in mind that
if a person who fixes many bugs dies, it will be loss for the community.

(I hope I won't slow down the development of Mozilla by revealing this study. As
being Dutch one would think I would say No to anything, but I can say I'll never
say no to sex... or the Mozilla-project.)
Comment 95 Robin Monks 2006-02-22 07:44:09 PST
Bug tringing has slowed down dramitcaly, this bug must be re-evaluated for possible recursion in receant builds on trunk with new gecko, or the fact that SeaMonkey that materalized.  This may be related to bug 216332, or a regression of bug 226482.  

(sorry for any personal pain this may encur to Keyser)
Comment 96 Majken Connor [:Kensie] 2006-11-10 16:57:00 PST
I think I made a breakthrough in finding out what's preventing this bug from being fixed.  See bug 360323
Comment 97 Phil 2007-06-05 10:18:49 PDT
the greatest thing is that none of you guys have actually got laid for ages lol, but totally pretending to sound like you know what you're talking about =P how funny!
Comment 98 Daniel Glazman (:glazou) 2008-02-06 02:00:54 PST
I start thinking this bug is INCOMPLETE. Trying to fix it, one can discover that
too much sex is also rapidly interfering with the ability to triage bugs.
We probably need a small team to determine an efficiency range here...
Comment 99 Håkan Waara 2008-02-06 02:11:31 PST
I can't believe this bug hasn't been fixed after almost 7 years! Grey Hodge, are you planning to work on it soon?? Please reconsider blocking the next release.

If it helps, this bug seems to be easier to reproduce during winter time here in the nordics.
Comment 100 Andy Lyttle 2008-02-08 14:19:34 PST
If a suitably attractive female partner could be provided, I would be willing to participate on the aforementioned team to study the issue of exactly how much sex is too much.  Just doing my part to contribute to the open source community!
Comment 101 Jo Hermans 2008-02-08 14:47:53 PST
(In reply to comment #100)
> If a suitably attractive female partner could be provided, I would be willing
> to participate on the aforementioned team to study the issue of exactly how
> much sex is too much.  Just doing my part to contribute to the open source
> community!

That's exactly what the problem is here. No partner was provided, hence we can't triage bugs...
Comment 102 Majken Connor [:Kensie] 2008-02-11 01:38:53 PST
I would volunteer, but please see the bug 360323  blocking this one, first.
Comment 103 Christopher Lynch [:Christopher] 2009-09-19 19:31:03 PDT

Why exactly is this bug here?
Comment 104 Andy Lyttle 2009-09-19 23:04:44 PDT
Where else do you suggest that it should be?  It remains an open issue.
Comment 105 Christopher Lynch [:Christopher] 2009-09-20 07:41:38 PDT

Really?  Are you serious?
Comment 106 Robert Accettura [:raccettura] 2009-09-20 08:04:22 PDT
I believe carnal knowledge is required to close this.
Comment 107 Robert Kaiser 2009-09-20 14:02:26 PDT
Christopher, you might not believe it, but some of us need some fun in their lives to actually stay productive in their work. It's not only that the reporter has seen this as described in comment #0, other Mozilla contributors have been able to unintentionally reproduce this problem, including myself. Even social researchers will probably confirm to you that this is actually true - I remember there was even an actual university study on Mozilla contributions that could anecdotally confirm this problem.

It would probably be nice if we found a solution to this within the Mozilla community. Depending on how to compile it into my work/life day, I might be able to test a fix - though I'd prefer such a fix to stick permanently. If it works out fine, I think I have the resources to maintain a local patch indefinitely.
Comment 108 Robert Accettura [:raccettura] 2009-09-20 18:44:11 PDT
(In reply to comment #107)
> - I remember there was even an actual university study on Mozilla contributions
> that could anecdotally confirm this problem.

Is there a published paper on this?
Comment 109 Daniel Glazman (:glazou) 2009-09-20 23:12:44 PDT
(In reply to comment #108)
> Is there a published paper on this?

Not sure but we can certainly compile a lot of user experience and references.
Comment 110 Robert Kaiser 2009-09-21 05:53:39 PDT
(In reply to comment #108)
> (In reply to comment #107)
> > - I remember there was even an actual university study on Mozilla contributions
> > that could anecdotally confirm this problem.
> Is there a published paper on this?

You mean that we could mark this in-testsuite+?

I don't think this was in the paper but with a bit of research I found that this was presented at FOSDEM 2006 by this guy: - and here's a blog post talking about it:
(IIRC, what was actually proven was that people who have a girlfriend or family are contributing more patches to Mozilla on average than those who haven't, which isn't exactly what this bug says - but that prove there was actually scientifically done by a university graduate and supports the general motto of this bug.)

In any case, as Daniel states, we have enough proof that this is an actual bug - now I wonder when someone can finally come up with a general fix. I still see it with recent nightlies and the proposal to fix it with |wget girlfriend| results in a "Resolving girlfriend... failed: Name or service not known." error.
Comment 111 [not reading bugmail] 2009-09-21 09:04:29 PDT
I can also confirm this still an issue using the latest trunk build.
Comment 112 Daniel Glazman (:glazou) 2009-09-21 09:21:41 PDT
(In reply to comment #111)
> I can also confirm this still an issue using the latest trunk build.

You must be mistaken; issues are with girlfriends (or more generally partners)
or lack of girlfriends, not with code.
Comment 113 Joshua 2010-06-24 15:46:24 PDT
Does this issue include the client side error reporting that is now in firefox? :)
Comment 114 Alex Miller 2011-02-02 15:34:32 PST
This should be duped for application to independent security researchers
Comment 115 Jeroen 2011-02-23 05:17:56 PST
@Jonas (#32);

Have you tried executing the command 'wget girlfriend' in superuser mode? I recently found out that 'girlfriend' needs to be installed in SU-mode, and that it depends on the following packages:

-Money (>
-StylishHouse (=>RC2)
-Monogamy (Alpha 1 will suffice)
-GoodLooks (>1.5)

Someone really needs to hack this code, and get a decent version!
Comment 116 Daniel Glazman (:glazou) 2012-04-12 23:30:12 PDT
I think we should reopen this bug and consider a new Web Standard about it
since this issue still hits many people.
The WTF (aka WHATWG) seems to be a good candidate for hosting.
Comment 117 Nicolás Aragone [:juest] 2014-09-05 01:14:45 PDT
Oh my this is so funny!

There's a lot of people lacking Sex by the way, this bug should be Bug 1 and worldwide ;)

Security issue :V


Note You need to log in before you can comment on or make changes to this bug.